Artifact [a2ff422158]

Artifact a2ff422158cea3feeffd2d87f4a59c14acd5385d:

Attachment "tcllib.patch" to ticket [3b2dab9c8e] added by anonymous on 2015-09-07 11:44:58.
Index: tcllib/build.sh
==================================================================
--- tcllib/build.sh
+++ tcllib/build.sh
@@ -1,11 +1,11 @@
 #! /usr/bin/env bash
 
-TCLLIB_VERS='1.16'
+TCLLIB_VERS='1.17'
 SRC="src/tcllib-${TCLLIB_VERS}.tar.bz2"
 SRCURL="http://sourceforge.net/projects/tcllib/files/tcllib/${TCLLIB_VERS}/tcllib-${TCLLIB_VERS}.tar.bz2"
-BUILDDIR="$(pwd)/build/Tcllib-${TCLLIB_VERS}"
+BUILDDIR="$(pwd)/build/tcllib-${TCLLIB_VERS}"
 OUTDIR="$(pwd)/out"
 INSTDIR="$(pwd)/inst"
 PATCHDIR="$(pwd)/patches"
 export TCLLIB_VERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR
 
@@ -31,14 +31,14 @@
 		cp -rp ../buildsrc/* './'
 	fi
 
 	cd "${BUILDDIR}" || exit 1
 
-	./configure --prefix="${INSTDIR}" || exit 1
+	./configure --with-tclsh="${TCLCONFIGDIR}/tclsh" --prefix="${INSTDIR}" || exit 1
 
 	make || exit 1
 
 	make install || exit 1
 
 	cp -rp "${INSTDIR}/lib" "${OUTDIR}"
 ) || exit 1